'use strict';

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

require('../required');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* global describe, it, beforeEach, expect, module, inject*/

describe('avValRequired', function () {

  var required = void 0;

  beforeEach(_angular2.default.mock.module('availity'));

  beforeEach(inject(function (avValRequired) {
    required = avValRequired;
  }));

  it('should be a valid', function () {
    expect(required.validate({ value: 'test' })).toBe(true);
  });

  it('should Not be a valid', function () {
    expect(required.validate({ value: '' })).toBe(false);
    expect(required.validate({ value: undefined })).toBe(false);
  });
});