'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _demo = require('demo');

var _demo2 = _interopRequireDefault(_demo);

var _fixtures = require('./fixtures');

var _fixtures2 = _interopRequireDefault(_fixtures);

require('../index');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

_demo2.default.factory('demoAnimationsService', function ($interval, $timeout) {
  var DemoAnimationsService = function () {
    function DemoAnimationsService() {
      var _this = this;

      _classCallCheck(this, DemoAnimationsService);

      this.counter = 0;
      $interval(function () {
        _this.counter++;
      }, 3000);

      this.selectedAnimation = null;
      this.velocityEffects = _fixtures2.default;
      this.placeholder = 'Select an animation';
      this.actualAnimation = this.placeholder;
    }

    _createClass(DemoAnimationsService, [{
      key: 'onChange',
      value: function onChange(newAnimation) {
        var _this2 = this;

        if (newAnimation.type) {
          if (newAnimation.type === 'transition') {

            this.actualAnimation = newAnimation.name + 'Out';

            $timeout(function () {
              _this2.actualAnimation = newAnimation.name + 'In';
            }, 1500);
          } else if (newAnimation.type === 'callout') {
            this.actualAnimation = newAnimation.name;
          }
        }
      }
    }]);

    return DemoAnimationsService;
  }();

  return new DemoAnimationsService();
});

_demo2.default.controller('demoAnimationController', function ($scope, demoAnimationsService) {
  $scope.anim = demoAnimationsService;
});