'use strict';

var _demo = require('demo');

var _demo2 = _interopRequireDefault(_demo);

require('./service');

var _photos = require('./fixtures/photos-1.json');

var _photos2 = _interopRequireDefault(_photos);

var _photos3 = require('./fixtures/photos-2.json');

var _photos4 = _interopRequireDefault(_photos3);

var _organizations = require('./fixtures/organizations-1.json');

var _organizations2 = _interopRequireDefault(_organizations);

var _organizations3 = require('./fixtures/organizations-2.json');

var _organizations4 = _interopRequireDefault(_organizations3);

var _organizations5 = require('./fixtures/organizations-3.json');

var _organizations6 = _interopRequireDefault(_organizations5);

var _user = require('./fixtures/user.json');

var _user2 = _interopRequireDefault(_user);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_demo2.default.controller('DemoDropdownController', function ($scope, demoDropdownService) {
  $scope.vm = demoDropdownService;
});

_demo2.default.run(function ($httpBackend) {

  $httpBackend.when('GET', /\/api\/v1\/photos\?offset=.*&q=a.*/).respond(_photos2.default);

  $httpBackend.when('GET', /\/api\/v1\/photos\?offset=.*&q=.*/).respond(_photos4.default);

  $httpBackend.when('GET', /\/api\/sdk\/platform\/v1\/users\/me.*/).respond(_user2.default);

  $httpBackend.when('GET', /\/api\/sdk\/platform\/v1\/organizations\?offset=.*&q=.*/).respond(_organizations6.default);

  $httpBackend.when('GET', /\/api\/sdk\/platform\/v1\/organizations\?offset=0.*/).respond(_organizations2.default);

  $httpBackend.when('GET', /\/api\/sdk\/platform\/v1\/organizations\?offset=50.*/).respond(_organizations4.default);
});