'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* global  describe, beforeEach, it, expect, inject */

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

require('../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('avTooltipConfig Provider', function () {
  var _this = this;

  describe('set method', function () {
    _this.mockOptions = { showDelay: 2413, otherOption: 'would go here' };

    it('should set the config to the options provided', function () {
      _angular2.default.mock.module('availity', 'availity.ui', function (avTooltipConfigProvider) {
        _this.avTooltipConfigProvider = avTooltipConfigProvider;
        _this.defaultOptions = avTooltipConfigProvider.$get();
        _this.avTooltipConfigProvider.set(_this.mockOptions);
        expect(_this.avTooltipConfigProvider.$get()).toEqual(_extends({}, _this.defaultOptions, _this.mockOptions));
      });
    });
  });

  describe('service', function () {
    beforeEach(_angular2.default.mock.module('availity', 'availity.ui', function (avTooltipConfigProvider) {
      _this.avTooltipConfigProvider = avTooltipConfigProvider;
      _this.defaultOptions = avTooltipConfigProvider.$get();
      _this.avTooltipConfigProvider.set(_this.mockOptions);
    }));

    beforeEach(inject(function (avTooltipConfig) {
      _this.avTooltipConfig = avTooltipConfig;
    }));

    it('should return the config', function () {
      expect(_this.avTooltipConfig).toEqual(_extends({}, _this.defaultOptions, _this.mockOptions));
    });
  });
});