'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _demo = require('demo');

var _demo2 = _interopRequireDefault(_demo);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

_demo2.default.factory('demoValidationService', function (AV_VAL) {
  var DemoValidationService = function () {
    function DemoValidationService() {
      _classCallCheck(this, DemoValidationService);

      this.firstName = 'Robert';
      this.lastName = null;
      this.phone = null;
      this.email = null;
      this.ssn = null;
      this.icd9 = null;
      this.npi = null;
      this.date = new Date();
      this.rule = 'defaultRules';
      this.selectedSate = null;
      this.states = [{ id: 'AL', name: 'Alabama' }, { id: 'CA', name: 'California' }, { id: 'NM', name: 'New Mexico' }, { id: 'TX', name: 'Texas' }, { id: 'WY', name: 'Wyoming' }];

      // keep a copy of the original state
      this.originalState = _extends({}, this);
    }

    _createClass(DemoValidationService, [{
      key: 'onChangeRules',
      value: function onChangeRules() {
        this.rule = this.rule === 'stateRules' ? 'defaultRules' : 'stateRules';
      }
    }, {
      key: 'reset',
      value: function reset($scope) {
        _extends(this, this.originalState);
        $scope.$broadcast(AV_VAL.EVENTS.RESET);
      }
    }]);

    return DemoValidationService;
  }();

  return new DemoValidationService();
});