'use strict';

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

var _proxy = require('../proxy');

var _proxy2 = _interopRequireDefault(_proxy);

var _tester = require('tester');

var _tester2 = _interopRequireDefault(_tester);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('AvApiResource', function () {

  var AvProxyResource = void 0;

  _tester2.default.matchers();

  beforeEach(function () {

    _angular2.default.mock.module(_proxy2.default.name);

    inject(function (_AvProxyResource_) {
      AvProxyResource = _AvProxyResource_;
    });
  });

  describe('urls', function () {

    it('should build url with resource name', function () {

      var proxy = new AvProxyResource({ tenant: 'healthplan', name: 'users' });

      expect(proxy).toBeObject();
      expect(proxy.getUrl()).toBe('/api/v1/proxy/healthplan/users');
    });
  });
}); /* global describe, inject, beforeEach, it, expect, module */