'use strict';

var _ = require('../');

describe('utils', function () {

  describe('stringify()', function () {

    it('should convert anything to a string', function () {
      expect((0, _.stringify)({})).toBe('[object Object]');
      expect((0, _.stringify)(null)).toBe('');
      expect((0, _.stringify)(NaN)).toBe('NaN');
    });
  });

  describe('isBlank()', function () {

    it('should be true for empty strings', function () {
      expect((0, _.isBlank)(null)).toBe(true);
      expect((0, _.isBlank)('')).toBe(true);
      expect((0, _.isBlank)('     ')).toBe(true);
    });
  });
}); /* global describe, it, expect */