'use strict';

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

require('../email');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* global describe, it, beforeEach, expect, module, inject*/

describe('avValEmail', function () {

  var valEmail = void 0;

  beforeEach(_angular2.default.mock.module('availity'));

  beforeEach(inject(function (avValEmail) {
    valEmail = avValEmail;
  }));

  it('should be a valid', function () {
    expect(valEmail.validate({ value: 'test@availity.com' })).toBe(true);
    expect(valEmail.validate({ value: 'a@a.a' })).toBe(true);
    expect(valEmail.validate({ value: '1@1.1' })).toBe(true);
    expect(valEmail.validate({ value: 'A@A.A' })).toBe(true);
  });

  it('should NOT be valid', function () {
    expect(valEmail.validate({ value: 'test@availity' })).toBe(false);
    expect(valEmail.validate({ value: 'a@a' })).toBe(false);
    expect(valEmail.validate({ value: 'a.a' })).toBe(false);
  });
});