'use strict';

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

var _tester = require('tester');

var _tester2 = _interopRequireDefault(_tester);

require('../');

var _template = require('./template.html');

var _template2 = _interopRequireDefault(_template);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* global  $, describe, beforeEach, it, expect, spyOn */

describe('avDimmer', function () {
  var tester = new _tester2.default();

  var el = void 0;
  var spy = void 0;
  var spyVelocity = void 0;

  beforeEach(_angular2.default.mock.module('availity.ui'));

  tester.directive();

  beforeEach(function () {
    el = tester.compileDirective(_template2.default);
    spy = spyOn($.fn, 'find').and.callThrough();
    spyVelocity = spyOn($.fn, 'velocity').and.callThrough();
  });

  it('should show dimmer on mouseenter', function () {
    el.trigger('mouseenter');
    expect(spy).toHaveBeenCalled();
    expect(spyVelocity).toHaveBeenCalled();
  });

  it('should hide dimmer on mouseleave', function () {
    el.trigger('mouseleave');
    expect(spy).toHaveBeenCalled();
    expect(spyVelocity).toHaveBeenCalled();
  });
});