'use strict';

var _demo = require('demo');

var _demo2 = _interopRequireDefault(_demo);

require('./service');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

_demo2.default.controller('DemoModalController', function ($scope, demoModalService) {
  demoModalService.init($scope);
  $scope.vm = demoModalService;
});

var DemoModalController = function DemoModalController($scope, demoModalService) {
  _classCallCheck(this, DemoModalController);

  demoModalService.init($scope);
  $scope.vm = demoModalService;
};

_demo2.default.controller('DemoModalController', DemoModalController);

var DemoModalDedicatedController = function DemoModalDedicatedController(someValue) {
  _classCallCheck(this, DemoModalDedicatedController);

  this.message = 'This is a message from a controller specified on AvModal';
  this.localsMessage = someValue;
};

_demo2.default.controller('DemoModalDedicatedController', DemoModalDedicatedController);

_demo2.default.config(function ($stateProvider) {

  $stateProvider.state('one', {
    url: '/'
  }).state('two', {
    url: '/two'
  }).state('three', {
    url: '/three'
  });
});