'use strict';

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

var _tester = require('tester');

var _tester2 = _interopRequireDefault(_tester);

var _onFileChangeSpec = require('./on-file-change-spec.html');

var _onFileChangeSpec2 = _interopRequireDefault(_onFileChangeSpec);

require('../on-file-changed');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* global  describe, beforeEach, it, expect */

describe('avOnFileChanged', function () {

  var tester = new _tester2.default();

  beforeEach(_angular2.default.mock.module('availity', 'availity.ui'));

  tester.directive();

  it('should handle change callback', function () {
    tester.$scope.cb = tester.spy;
    var $el = tester.compileDirective(_onFileChangeSpec2.default, null, null);
    $el.trigger('change');
    tester.$scope.$apply();
    expect(tester.spy).toHaveBeenCalled();
  });
});